%define name		gnumaniak
%define version		1.4
%define release		1
%define prefix		/usr

%define fileutils	fileutils-4.0
%define diffutils	diffutils-2.7.2
%define shutils		sh-utils-1.16
%define libtool		libtool-1.3.2
%define textutils	textutils-2.0
%define gasp		gasp-1.2

Summary: Up to date gzipped man pages for various GNU utils, section 1
Name: %{name}
Version: %{version}
Release: %{release}
Prefix: %{prefix}
Group: Documentation
Copyright: LDP General Public License
Vendor: Ragnar Hojland Espinosa <ragnar@lightside.ddns.org>
Packager: Troy Engel <tengel@sonic.net>
Source: gnumaniak-1.4.tar.gz
URL: http://personal.redestb.es/ragnar/ftp.htm
Buildroot: /tmp/build-%{name}-%{version}
BuildArchitectures: noarch

%description
Up to date gzipped GNU man pages for %{fileutils}, %{diffutils},
%{shutils}, %{libtool}, %{textutils} and %{gasp}.

Note: this package contains the manual pages in gzip format so they should 
not conflict with the equivalent unmaintained GNU manual pages. By default, 
man will show the gzipped version if both a .1 and a .1.gz file exist. 
This means you can cleanly install and uninstall gnumaniak, but the original
man pages will continue to take up disk space. 

%prep
%setup -q

%build
gzip */*.1

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/man/man1
install -m644 */*.1.gz $RPM_BUILD_ROOT%{prefix}/man/man1

%files
%attr(-,root,root) %{prefix}/man/man1/*.1.gz
%attr(0644, root, root) %doc LICENSE README gnumaniak-1.4.lsm

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Aug 16 1999 Troy Engel <tengel@sonic.net>
- update, rearrange, and clean up original SPEC from 1.1a, unknown author
